<feed xmlns='http://www.w3.org/2005/Atom'>
<title>u-boot.git/Makefile, branch v1.3.2-rc2</title>
<subtitle>Unnamed repository; edit this file 'description' to name the repository.
</subtitle>
<link rel='alternate' type='text/html' href='http://cgit.235523.xyz/u-boot.git/'/>
<entry>
<title>Coding style cleanup. Prepare v1.3.2-rc2 release candidate</title>
<updated>2008-02-24T14:21:36+00:00</updated>
<author>
<name>Wolfgang Denk</name>
<email>wd@denx.de</email>
</author>
<published>2008-02-24T14:21:36+00:00</published>
<link rel='alternate' type='text/html' href='http://cgit.235523.xyz/u-boot.git/commit/?id=b29661fc1151077776454288051bc9a488351ce8'/>
<id>b29661fc1151077776454288051bc9a488351ce8</id>
<content type='text'>
Signed-off-by: Wolfgang Denk &lt;wd@denx.de&gt;
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
Signed-off-by: Wolfgang Denk &lt;wd@denx.de&gt;
</pre>
</div>
</content>
</entry>
<entry>
<title>Merge branch 'master' of git://www.denx.de/git/u-boot-coldfire</title>
<updated>2008-02-22T11:56:11+00:00</updated>
<author>
<name>Wolfgang Denk</name>
<email>wd@denx.de</email>
</author>
<published>2008-02-22T11:56:11+00:00</published>
<link rel='alternate' type='text/html' href='http://cgit.235523.xyz/u-boot.git/commit/?id=55c802ebb1f2c9f475569b2c3e9be125098d4174'/>
<id>55c802ebb1f2c9f475569b2c3e9be125098d4174</id>
<content type='text'>
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
</pre>
</div>
</content>
</entry>
<entry>
<title>error check autoconf.mk generation</title>
<updated>2008-02-22T11:33:23+00:00</updated>
<author>
<name>Mike Frysinger</name>
<email>vapier@gentoo.org</email>
</author>
<published>2008-02-18T10:10:07+00:00</published>
<link rel='alternate' type='text/html' href='http://cgit.235523.xyz/u-boot.git/commit/?id=16fe77752eee099b9fb61ed73460e51cc94b37ba'/>
<id>16fe77752eee099b9fb61ed73460e51cc94b37ba</id>
<content type='text'>
If any of the steps for generating autoconf.mk fail currently, they go
unnoticed.  To fix, we can simply add 'set -e' to the long list of commands.
This is simpler and more robust than placing '|| exit $$?' after every line.

Signed-off-by: Mike Frysinger &lt;vapier@gentoo.org&gt;
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
If any of the steps for generating autoconf.mk fail currently, they go
unnoticed.  To fix, we can simply add 'set -e' to the long list of commands.
This is simpler and more robust than placing '|| exit $$?' after every line.

Signed-off-by: Mike Frysinger &lt;vapier@gentoo.org&gt;
</pre>
</div>
</content>
</entry>
<entry>
<title>Fix bug in dependency checking</title>
<updated>2008-02-22T11:19:04+00:00</updated>
<author>
<name>Stefano Babic</name>
<email>sbabic@denx.de</email>
</author>
<published>2008-02-18T07:03:51+00:00</published>
<link rel='alternate' type='text/html' href='http://cgit.235523.xyz/u-boot.git/commit/?id=019895a8dee71a9f00da05c03e379f45d581b0fe'/>
<id>019895a8dee71a9f00da05c03e379f45d581b0fe</id>
<content type='text'>
By adding VERSION_FILE to the PHONY targets the script
/tools/setlocalversion is always called and version_autogenerated.h
is replaced only if the script find a modified source file.

Signed-off-by: Stefano Babic &lt;sbabic@denx.de&gt;
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
By adding VERSION_FILE to the PHONY targets the script
/tools/setlocalversion is always called and version_autogenerated.h
is replaced only if the script find a modified source file.

Signed-off-by: Stefano Babic &lt;sbabic@denx.de&gt;
</pre>
</div>
</content>
</entry>
<entry>
<title>Makefile: add target for $(LDSCRIPT)</title>
<updated>2008-02-22T11:06:32+00:00</updated>
<author>
<name>Mike Frysinger</name>
<email>vapier@gentoo.org</email>
</author>
<published>2008-02-16T07:12:37+00:00</published>
<link rel='alternate' type='text/html' href='http://cgit.235523.xyz/u-boot.git/commit/?id=f65c98129ccada3f7caf97d80395a95b84e911de'/>
<id>f65c98129ccada3f7caf97d80395a95b84e911de</id>
<content type='text'>
If the $(LDSCRIPT) does not exist (normally it's board/$(BOARD)/u-boot.lds),
then change into the board directory and try and create it.  This allows you
to generate the linker script on the fly based upon board defines (like the
Blackfin boards do).

There should be no regressions due to this change as the normal case is to
already have a u-boot.lds file.  If that's the case, then there's nothing to
generate, and so make will always exit.  The fix here is that if the linker
script does not exist, the implicit rules take over and attempt to guess how
to generate the file.

Signed-off-by: Mike Frysinger &lt;vapier@gentoo.org&gt;
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
If the $(LDSCRIPT) does not exist (normally it's board/$(BOARD)/u-boot.lds),
then change into the board directory and try and create it.  This allows you
to generate the linker script on the fly based upon board defines (like the
Blackfin boards do).

There should be no regressions due to this change as the normal case is to
already have a u-boot.lds file.  If that's the case, then there's nothing to
generate, and so make will always exit.  The fix here is that if the linker
script does not exist, the implicit rules take over and attempt to guess how
to generate the file.

Signed-off-by: Mike Frysinger &lt;vapier@gentoo.org&gt;
</pre>
</div>
</content>
</entry>
<entry>
<title>ColdFire: Fix missing code flash size for M5485EVB</title>
<updated>2008-02-20T20:33:45+00:00</updated>
<author>
<name>TsiChungLiew</name>
<email>Tsi-Chung.Liew@freescale.com</email>
</author>
<published>2008-01-30T21:08:15+00:00</published>
<link rel='alternate' type='text/html' href='http://cgit.235523.xyz/u-boot.git/commit/?id=4d264eff4312f230776b913edade7ceb75f1b1e0'/>
<id>4d264eff4312f230776b913edade7ceb75f1b1e0</id>
<content type='text'>
Signed-off-by: James Mahan &lt;kmahan@freescale.com&gt;
Signed-off-by: TsiChung Liew &lt;Tsi-Chung.Liew@freescale.com&gt;
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
Signed-off-by: James Mahan &lt;kmahan@freescale.com&gt;
Signed-off-by: TsiChung Liew &lt;Tsi-Chung.Liew@freescale.com&gt;
</pre>
</div>
</content>
</entry>
<entry>
<title>Merge branch '080202_at91rm9200dk' of git://linux-arm.org/u-boot-armdev</title>
<updated>2008-02-15T13:00:22+00:00</updated>
<author>
<name>Peter Pearse</name>
<email>peter.pearse@arm.com</email>
</author>
<published>2008-02-15T13:00:22+00:00</published>
<link rel='alternate' type='text/html' href='http://cgit.235523.xyz/u-boot.git/commit/?id=faf8f9bc95e526446c3b0554ebdc22af1291e72a'/>
<id>faf8f9bc95e526446c3b0554ebdc22af1291e72a</id>
<content type='text'>
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
</pre>
</div>
</content>
</entry>
<entry>
<title>Merge branch '080131_artila' of git://linux-arm.org/u-boot-armdev</title>
<updated>2008-02-15T12:59:56+00:00</updated>
<author>
<name>Peter Pearse</name>
<email>peter.pearse@arm.com</email>
</author>
<published>2008-02-15T12:59:56+00:00</published>
<link rel='alternate' type='text/html' href='http://cgit.235523.xyz/u-boot.git/commit/?id=d7d9afa48cfa5b07089e3694859a377676a81bd1'/>
<id>d7d9afa48cfa5b07089e3694859a377676a81bd1</id>
<content type='text'>
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
</pre>
</div>
</content>
</entry>
<entry>
<title>Merge branch '080116_at91cap9' of git://linux-arm.org/u-boot-armdev</title>
<updated>2008-02-15T12:59:15+00:00</updated>
<author>
<name>Peter Pearse</name>
<email>peter.pearse@arm.com</email>
</author>
<published>2008-02-15T12:59:15+00:00</published>
<link rel='alternate' type='text/html' href='http://cgit.235523.xyz/u-boot.git/commit/?id=ae92069abecc278d7b8de88ffa62de0c2c0ed2bf'/>
<id>ae92069abecc278d7b8de88ffa62de0c2c0ed2bf</id>
<content type='text'>
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
</pre>
</div>
</content>
</entry>
<entry>
<title>Merge branch '070524_netstar' of git://linux-arm.org/u-boot-armdev</title>
<updated>2008-02-15T12:58:10+00:00</updated>
<author>
<name>Peter Pearse</name>
<email>peter.pearse@arm.com</email>
</author>
<published>2008-02-15T12:58:10+00:00</published>
<link rel='alternate' type='text/html' href='http://cgit.235523.xyz/u-boot.git/commit/?id=e42d2b0479ff5fd9f041e8dfa52105d521fa9264'/>
<id>e42d2b0479ff5fd9f041e8dfa52105d521fa9264</id>
<content type='text'>
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
</pre>
</div>
</content>
</entry>
</feed>
